<?php

namespace App\Http\Controllers\V1;

use App\Services\Api\BhuaProductsService;
use App\Services\CustomerService;
use Illuminate\Http\Request;
use Jiannei\Response\Laravel\Support\Facades\Response;
use App\Http\Controllers\V1\Controller;
use App\Support\Traits\Helpers;

class CustomersController extends Controller
{
    use Helpers;

    public function __construct(CustomerService $customerService)
    {
        $this->customerService = $customerService;
    }

    public function createCustomer(Request $request)
    {
        $message = [
            'customerCode.required' => "客户编号必传",
            'customerType.required' => "客户类型必传",
            'customerCompany.required' => "客户公司必传",
        ];
        $this->validateRequest($request, $message);

        $requestParams = $this->formatKeysfromArray($request->all(),'toUnderScore');

        try{
            $customer = $this->customerService->createPlatformCustomer($requestParams);
            return Response::success($customer,'操作成功');
        }catch(\Throwable $exception){
            return $this->returnErrorExecptionResponse($exception,'客户创建失败');
        }
    }

}
