<?php


namespace App\ImportExport\WuxiLab;

use App\ImportExport\BaseExport;
use App\ImportExport\WuxiLab\Models\WuxiLabPackagesExportModel;
use App\ImportExport\WuxiLab\Models\WuxiLabProductsExportModel;
use App\ImportExport\WuxiLab\Models\WuxiLabStocksExportModel;

class WuxiLabExport extends BaseExport
{
    protected $defaultExportModel = ['product','package','stock'];
    protected $filePath = '';

    public function __construct()
    {
        parent::__construct();
    }

    public function getSavePath($fileName)
    {
        if($this->filePath == ''){
            $this->filePath = config('filesystems.default.root').'public/Excel/';
        }
        return $this->filePath.date('Ymd',time()).'/'.$fileName;
    }

    public function getFileName($model)
    {
        return 'wuxiLab_'.$model.'_'.date('Y_m_d_His',time()).'.'.$this->expand;
    }

    /**
     * 存储到excel文件
     * @param $saveContent
     * @param null $model
     */
    public function saveExcel($saveContent,$model = 'product')
    {
        if(!is_array($model) && $model == null){
           throw new \Exception('excel 文档生成错误，无法找到对应生成类型!');
        }

        $export = null;
        switch($model){
            case 'product' :
                $export = new WuxiLabProductsExportModel($saveContent['rawList']);
                break;
            case 'package' :
                $export = new WuxiLabPackagesExportModel($saveContent['packageList']);
                break;
            case 'stock' :
                $export = new WuxiLabStocksExportModel($saveContent['packageList']);
                break;
        }
        $savePath = $this->getSavePath(
            $this->getFileName($model)
        );
        $result = $this->storeExcel($export,$savePath);
        if($result){
            return $savePath;
        }
    }
}
