<?php
namespace App\Mailer;

use Illuminate\Support\Facades\Mail;

class MailService{

    private $type;

    public function setFromType($type)
    {
        $this->type = strtoupper($type);
        return $this;
    }

    public function initSendService()
    {
        if(!$this->type){
            throw new \Exception('send type not exist.');
        }

        $this->registerProvider($this->getMailAccountConfig($this->type));
    }

    public function getMailAccountConfig()
    {
        $username = env("MAIL_USERNAME");
        $password = env("MAIL_PASSWORD");
        $address = env("MAIL_FROM_ADDRESS");
        $fromName = env("MAIL_FROM_NAME");

        $config = config('mail');

        $config['username'] = $username;
        $config['password'] = $password;
        $config['from']['address'] = $address;
        $config['from']['name'] = $fromName;

        return $config;
    }

    public function registerProvider($config)
    {
        config(['mail' => $config]);
        app()->register(\Illuminate\Mail\MailServiceProvider::class);
    }

    public function sendMail($title, $toUser, $message)
    {
        $this->setFromType('zkh')->initSendService();
        Mail::raw($message,function($mail) use ($toUser, $title){
           $mail->to($toUser);
           $mail->subject($title);

        });
    }
}