<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Transformers\Rhawn;

use League\Fractal\TransformerAbstract;

class OrdersDispatchTransformer extends TransformerAbstract
{
    /**
     * 格式化结果
     * @param $dpdetail
     * @return array
     */
    public function transform($dpdetail)
    {
        $dpdTransReturn = [];
        $dp = [];
        if($dpdetail){
            foreach($dpdetail as $detail){
                $temp = $dp = [];
                if(!isset($dpdTransReturn[$detail['dp_code']])){
                    $temp['dp_code'] = $detail['dp_code'];
                    $temp['so_no'] = $detail['so_no'];
                    //$temp['dp_express_code'] = $detail['dp_express_com'];
                    $temp['dp_express_name'] = $this->getExpressName($detail['dp_express_com']);
                    $temp['dp_express_no'] = $detail['dp_express_no'];
                    $dpdTransReturn[$detail['dp_code']] = $temp;
                }
                $dp['dpd_num'] = $detail['dpd_num'];
                $dp['dpd_amount'] = $detail['dpd_amount'];
                $dp['p_code'] = $detail['si_id']['p_code'];
                $dp['p_en_name'] = $detail['si_id']['p_en_name'];
                $dp['p_cn_name'] = $detail['si_id']['p_cn_name'];
                $dp['cas'] = $detail['si_id']['c_cas'];

                $dpdTransReturn[$detail['dp_code']]['detail'][] = $dp;
            }
        }
        $dpdTransReturn = array_values($dpdTransReturn);
        return $dpdTransReturn;
    }

    private function getExpressName($code)
    {
        $express = ['SH'=>'随货',
            'JD'=>'京东',
            'SF'=>'顺丰',
            'ZT'=>'中通',
            'YD'=>'韵达',
            'ZJS'=>'宅急送',
            'DBL'=>'德邦',
            'YTO'=>'圆通',
            'YZPY'=>'邮政',
            'AN'=>'安能',
            'STO'=>'申通',
            'HHTT'=>'天天',
            'WL'=>'物流',
            'ziti'=>'自提'
        ];
        return $express[$code];
    }
}
