<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Repositories\Transformers\Rhawn;

use League\Fractal\TransformerAbstract;

class ProductsTransformer extends TransformerAbstract
{
    /**
     * 格式化结果
     * @param $rhawnSorders
     * @return array
     */
    public function transform($products,$type = 'all')
    {
        $productTransReturn = [];
        if($products){
            foreach($products as $product){
                $temp = [];
                $temp['code'] = $product['p_code'];//中文别名
                $temp['cas'] = $product['c_cas'];//CAS号
                $temp['chem_cn_name'] = $product['c_cn_name'];//中文名
                $temp['chem_en_name'] = $product['c_en_name'];//中文名
                $temp['cn_name'] = $product['p_cn_name'];//中文名
                $temp['en_name'] = $product['p_en_name'];//英文名
                $temp['level'] = $product['p_level'];//项目规格
                if($type == 'all'){
                    $temp['delivery'] = $product['p_tod'];//货期
                }
                $temp['price'] = $product['p_price'];//单价
                $temp['market_price'] = $product['m_price'];//目录价格
                if($product['r_gz_type'] == 2){
                    $temp['if_explode'] = 1;//是否易制爆
                }else{
                    $temp['if_explode'] = 0;//是否易制爆
                }
                if($type == 'all'){
                    if($product['r_gz_type'] == 1){
                        $temp['if_drag'] = 1;//是否易制毒
                    }else{
                        $temp['if_drag'] = 0;//是否易制毒
                    }
                }
                if($product['c_if_dangers'] == 1){
                    $temp['if_dangers'] = 1;//是否危化品
                }else{
                    $temp['if_dangers'] = 0;//是否危化品
                }
                if($product['r_status'] == 0 || $product['p_status'] == 0 || $product['p_show'] == 0 || $product['p_if_big'] == 1){
                    $temp['status'] = 0;
                    $temp['price'] = 0;
                    $temp['market_price'] = 0;
                }else{
                    $temp['status'] = 1;
                }
                $temp['pack'] = $product['p_pack'].$product['p_pack_unit'];//包装规格
                $temp['weight'] = $product['p_weight'];//产品重量kg
                if($product['p_stock'] > 0){
                    $temp['tag'] = '当天发货';
                }else{
                    $temp['tag'] = '';
                }
                if($type == 'bycas'){
                    $temp['city'] = '上海';
                    $temp['stock'] = $product['p_tod'];//货期
                    $temp['pacs'] = $product['p_pack'].$product['p_pack_unit'];//项目规格
                }
                array_push($productTransReturn,$temp);
            }
        }
        return $productTransReturn;
    }
}
