<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Rhawn\Services;

use App\Rhawn\Repositories\Contracts\RhawnProductRepository;
use App\Rhawn\Repositories\Eloquent\BhuaBrandsRepositoryEloquent;
use App\Rhawn\Repositories\Eloquent\RhawnCustomerRepositoryEloquent;
use App\Rhawn\Repositories\Eloquent\RhawnRawRepositoryEloquent;
use App\Support\Facades\SimpleLogs;
use Illuminate\Support\Facades\DB;

class BhuaProductService
{
    public function __construct()
    {
        $this->brandsRepository = app(BhuaBrandsRepositoryEloquent::class);
    }

    /**
     * 获取品牌列表
     * @param array $where
     * @param int $offset
     * @param int $limit
     * @return null
     */
    public function getBrandsList($where = [],$offset = 0, $limit = 100)
    {
        $brandsList = $this->brandsRepository->getList($where,$limit,$offset);
        if($brandsList){
            return $brandsList;
        }
        return null;
    }
}
